Developers

Create stage

POST
/project/stages

Create stage

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Request Body

The new Stage resource

  1. body
name*string
Lengthlength <= 100
description?|
Lengthlength <= 100000
dateStart*string
Formatdate-time
dateEnd*string
Formatdate-time
isBlameableRemovalEnabled*boolean
stageType?|
Formatuuid
project*string
Formatuuid
status*string
Value in"in-preparation""open"
stageTemplate?|
Formatuuid

Response Body

Stage resource created

  1. response
id?string
Formatuuid
name?string
Lengthlength <= 100
status?string
Value in"in-preparation""open"
description?|
Lengthlength <= 100000
dateStart?string
Formatdate-time
dateEnd?string
Formatdate-time
createdAt?string
Formatdate-time
updatedAt?string
Formatdate-time
progress?integer
Default0
weight?integer
timePlanned?integer
Default0
timeReported?integer
Default0
isBlameableRemovalEnabled?boolean
Defaultfalse
project?string
Formatuuid
projectName?string
Lengthlength <= 100
stageType?|null
canManage?boolean
Defaultfalse
boardCount?|
Defaultnull
Example Request
curl -X POST 'https://app.icproject.com/api/instance/demo/project/stages' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "dateStart": "2019-08-24T14:15:22Z",  "dateEnd": "2019-08-24T14:15:22Z",  "isBlameableRemovalEnabled": true,  "project": "9ec8a81a-31b2-4a83-bcd8-cef9150932d2",  "status": "in-preparation"}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "status": "in-preparation",  "description": "string",  "dateStart": "2019-08-24T14:15:22Z",  "dateEnd": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "progress": 0,  "weight": 0,  "timePlanned": 0,  "timeReported": 0,  "isBlameableRemovalEnabled": false,  "project": "9ec8a81a-31b2-4a83-bcd8-cef9150932d2",  "projectName": "string",  "stageType": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "decorator": "#78909c"  },  "canManage": false,  "boardCount": null}